Page 69 of 71

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Sat Dec 26, 2020 5:17 pm
by Bobby
Yeah i had it too, i think its a plugin error and its been mentioned a few times. But it seems like bro is not here to fix it anymore, so i reverted back to deluge 1.3.15 becuse all the plugins still work with that version :)

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Sat Dec 26, 2020 9:17 pm
by mhertz
I didn't experience the ssl error, but found the plugin is broken with python 3.9.x, because of removed deprecated function-call, so I fixed and rebuilt it.

YaRSS2-2.1.4-py3.9.egg:
https://paste.c-net.org/PimpleHunts

That specific ssl error previously mentioned, I had in another python project, gohlkegrabber, and as didn't know how to fix, then wen't in and disabled https ssl verification completely, as workaround, with:

Code: Select all

import ssl
ssl._create_default_https_context = ssl._create_unverified_context

The issue seemingly is a somewhat common issue in urllib3, some state to use requests instead - I read many workarounds, where none worked for me besides what I did above, though as said, not regarding this plugin though, just same error .

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Sat Dec 26, 2020 10:58 pm
by banbutcher
hi mhertz, thanks for your reply, i was just wondering where or how to impliment that bit of code?

thanks again

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Sun Dec 27, 2020 1:33 am
by mhertz
You're welcome. Hope it works for you.

Here's a build with disabled ssl verification of https feeds, and also the fix for python 3.9.x support, but should work on earlier python's too: https://paste.c-net.org/PotionsAgony

Just in case, here's a build with only disabled ssl, and nothing else, so no python 3.9 fix: https://paste.c-net.org/RuthlessHarley

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Tue Jan 12, 2021 7:29 am
by fjdks
nvm, already solved.

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Fri Mar 19, 2021 5:58 pm
by smeagol001
i wonder if anyone got yarss working oind windows qwith the installer from https://drive.google.com/drive/folders/ ... Yl7XuWYpVT
nomatter which installer i use i cant seem to get yarss2 running it wont showup in the pluginpage unless i rename it from 3.7 to 3.9 but then it wont work at all

Code: Select all

(2021-03-19T18:54:52): Got Labels: ['anime', 'current']
(2021-03-19T18:54:56): Manually running Subscription 'Alle'
(2021-03-19T18:54:56): Update handler executed on RSS Feed 'Shana (www.shanaproject.com)' (Update interval 15 min)
(2021-03-19T18:54:56): Fetching subscription 'Alle'.
(2021-03-19T18:54:56): Fetching RSS Feed: 'Shana' with Cookie: '{}' and User-agent: 'Deluge v2.0.4.dev50 YaRSS2 v2.1.4 Windows/10'.
(2021-03-19T18:54:56): Exception occured in feedparser: module 'base64' has no attribute 'decodestring'
(2021-03-19T18:54:56): Feedparser was called with url: 'http://www.shanaproject.com/feeds/secure/user/27612/SGDYLFCF1S/' using cookies: '{}' and User-agent: 'Deluge v2.0.4.dev50 YaRSS2 v2.1.4 Windows/10'
(2021-03-19T18:54:56): Stacktrace:
!! Traceback (most recent call last):
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 184, in get_rssfeed_parsed
    parsed_feed = fetch_and_parse_rssfeed(rssfeed_data["url"], user_agent=user_agent,
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 103, in fetch_and_parse_rssfeed_atom
    result = http.download_file(url_file_stream_or_string, site_cookies_dict=site_cookies_dict,
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\http.py", line 34, in download_file
    from . import feedparsing
!!   File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
!!   File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
!!   File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
!!   File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
!!   File "<frozen zipimport>", line 259, in load_module
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\__init__.py", line 1, in <module>
    from .api import convert_to_utf8, _open_resource
!!   File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
!!   File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
!!   File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
!!   File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
!!   File "<frozen zipimport>", line 259, in load_module
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\api.py", line 31, in <module>
    from . import http
!!   File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
!!   File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
!!   File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
!!   File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
!!   File "<frozen zipimport>", line 259, in load_module
!!   File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\http.py", line 44, in <module>
    _base64decode = getattr(base64, 'decodebytes', base64.decodestring)
!! AttributeError: module 'base64' has no attribute 'decodestring'

(2021-03-19T18:54:56): An exception was thrown by the RSS update handler. Please report this bug!
Traceback (most recent call last):
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 184, in get_rssfeed_parsed
    parsed_feed = fetch_and_parse_rssfeed(rssfeed_data["url"], user_agent=user_agent,
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 103, in fetch_and_parse_rssfeed_atom
    result = http.download_file(url_file_stream_or_string, site_cookies_dict=site_cookies_dict,
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\http.py", line 34, in download_file
    from . import feedparsing
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
  File "<frozen zipimport>", line 259, in load_module
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\__init__.py", line 1, in <module>
    from .api import convert_to_utf8, _open_resource
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
  File "<frozen zipimport>", line 259, in load_module
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\api.py", line 31, in <module>
    from . import http
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 627, in _load_backward_compatible
  File "<frozen zipimport>", line 259, in load_module
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\util\feedparsing\http.py", line 44, in <module>
    _base64decode = getattr(base64, 'decodebytes', base64.decodestring)
AttributeError: module 'base64' has no attribute 'decodestring'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_scheduler.py", line 90, in rssfeed_update_handler_safe
    return self.rssfeed_update_handler(rssfeed_key=rssfeed_key, subscription_key=subscription_key)
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_scheduler.py", line 107, in rssfeed_update_handler
    fetch_result = self.rssfeedhandler.fetch_feed_torrents(self.yarss_config.get_config(), rssfeed_key,
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 372, in fetch_feed_torrents
    self.fetch_feed(subscription_data, rssfeed_data, fetch_data)
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 411, in fetch_feed
    rssfeed_parsed = self.get_rssfeed_parsed(rssfeed_data, site_cookies_dict=fetch_data["site_cookies_dict"],
  File "c:\users\xxx\appdata\roaming\deluge\plugins\yarss2-2.1.4-py3.9.egg\yarss2\rssfeed_handling.py", line 191, in get_rssfeed_parsed
    raise FetchAndFeedparsingError("Exception occured in feedparser: " + str(e))
yarss2.error.FetchAndFeedparsingError: Exception occured in feedparser: module 'base64' has no attribute 'decodestring'

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Fri Mar 19, 2021 6:06 pm
by mhertz
I fixed py3.9 support some months ago, it's linked a few posts up ;)

Btw, I went to the repo to report it after having fixed it, but saw it was already reported and same solution posted to fix source-code as I used myself, so nothing for me to post there. No new release neither, I just checked now.

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Sun Mar 21, 2021 3:32 pm
by bro
I've released a new version (2.1.5) that fixes the python 3.9 error caused by the deprecated base64.decodestring being removed.

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Tue Mar 23, 2021 3:27 pm
by gderf
mhertz wrote:You're welcome. Hope it works for you.

Here's a build with disabled ssl verification of https feeds, and also the fix for python 3.9.x support, but should work on earlier python's too: https://paste.c-net.org/PotionsAgony

Just in case, here's a build with only disabled ssl, and nothing else, so no python 3.9 fix: https://paste.c-net.org/RuthlessHarley


Is there an updated version for Deluge 1.3.15 that disables the ssl verification checking?

Thanks

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Posted: Tue Mar 23, 2021 4:29 pm
by mhertz
No, but I can build one for you :)

However, I was in doubt if even works on deluge 1.3.15, as all latest releases are released only as py3.x eggs, and I just built latest release with python2.7, vanilla, and tested in my windows VM, and it doesn't work for me, as can enable in plugin list, but when exiting then gets disabled again.

If you where refering to latest listed py2.x release i.e. 1.4.3 I believe, maybe remember wrong now, then I can see if I can add it to that.

Which version did you have in mind?

Edit: Sorry gderf, I don't know why suddently thought you where on windows, I remember now you're using docker deluge, well you could still be using widows thinclient for linux server of-course but nonetheless. Anyway, since didn't work on windows, the vanilla plugin unmodified, then i'd presume neither does on linux, don't have time to test right now. Question above still stands of-course and just wanted clarify the windows testing bit.